#ifndef LD_H
#define LD_H


#include "runner.h"
#include "helper.h"
#include "obj.h"
#include "tier1/utlstring.h"

enum ELinkType
{
	ELINK_EXECUTABLE,
	ELINK_DYNAMIC_LIBRARY,
	ELINK_STATIC_LIBRARY,
};

class CLDProject: public CProject
{
public:
	void AddObject( CObject& object );
	void AddLibrary( CUtlString psz );
	void AddLibraryByPath( CUtlString szPath );
	void AddLibraryDirectory( CUtlString szPath );
	CUtlString Link( void );

	ELinkType linkType;
	CUtlVector<CObject> objects = {};
	CUtlVector<CUtlString> libraries ={};
	CUtlVector<CUtlString> libraryDirectories = {};
	CUtlVector<CUtlString> libraryObjects = {};
	CUtlVector<CUtlString> frameworkDirectories = {};
	CUtlVector<CUtlString> frameworks = {};
};

#endif
